package com.hfkj.service.agent;

import com.hfkj.entity.BsAgentApiParam;

/**
 * @className: BsAgentApiParamService
 * @author: HuRui
 * @date: 2024/8/27
 **/
public interface BsAgentApiParamService {

    /**
     * 编辑数据
     * @param agentId
     */
    void create(Long agentId);

    /**
     * 修改数据
     * @param data
     */
    void update(BsAgentApiParam data);

    /**
     * 查询参数
     * @param agentId
     * @return
     */
    BsAgentApiParam getParam(Long agentId);

    /**
     * 查询参数
     * @param appId
     * @return
     */
    BsAgentApiParam getParamByAppId(String appId);
}
